package main

import (
	"ArmedPolice/cmd/serve"
	"flag"
	figure "github.com/common-nighthawk/go-figure"
	"runtime"
)

var (
	ConfigFile = flag.String("config", "./config.yaml", "config.yaml path")
)

// @title TenantServe API文档
// @version 1.0
// @description TenantServe API文档
// @host 192.168.0.153:9000

// @contact.name Henry
// @contact.url https://ipeace.org.cn
// @contact.email email@ipeace.org.cn
func main() {
	flag.Parse()
	runtime.GOMAXPROCS(runtime.NumCPU())
	figure.NewFigure("Armed Police Serve", "", true).Print()
	serve.NewServe()(&serve.Option{Config: *ConfigFile}).Run()
}
